Name:		sqlitebrowser
Version:	3.10.1
Release:	%mkrel 1

Summary:	Design and edit database files compatible with SQLite
License:	GPLv3 and MPLv2.0
Group:		Databases
URL:		http://sqlitebrowser.org/
Source0:	https://github.com/sqlitebrowser/sqlitebrowser/archive/%{name}-%{version}.tar.xz
Patch0:		sqlitebrowser-3.10.1-use-system-qscintilla.patch

BuildRequires: qttools5
BuildRequires: lib64qscintilla2-qt5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64sqlite3-devel


%description
DB Browser for SQLite is a high quality, visual, open source tool to
create, design, and edit database files compatible with SQLite.

It is for users and developers wanting to create databases, search, and edit
data.  It uses a familiar spreadsheet-like interface, and you don't need to
learn complicated SQL commands.

%prep
%setup -q
%apply_patches

%build
%qmake_qt5
%make_build -j1

%install
%{__mkdir} -p -m 0755 %{buildroot}/%{_bindir}
%{__mkdir} -p -m 0755 %{buildroot}/%{_datadir}/appdata
%{__mkdir} -p -m 0755 %{buildroot}/%{_datadir}/applications
%{__mkdir} -p -m 0755 %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps

%{__install} -p -m 0755 src/%{name} %{buildroot}/%{_bindir}/%{name}
%{__install} -p -m 0644 distri/%{name}.desktop.appdata.xml %{buildroot}/%{_datadir}/appdata/%{name}.desktop.appdata.xml

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	distri/%{name}.desktop

%{__install} -p -m 0644 src/icons/%{name}.png %{buildroot}/%{_datadir}/icons/hicolor/256x256/apps/%{name}.png


%files
%doc README.md LICENSE
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.desktop.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png



%changelog
* Tue Feb 27 2018 bb2 <bb2> 3.10.1-1pclos2018
- new version

* Sat Jan 03 2015 gseaman <galen.seaman at comcast.net> 3.4.0-1gseaman2014
- build for PCLinuxOS
